﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;

namespace CustomPalette
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Color> standardColors = new ObservableCollection<Color>() { Colors.Red, Colors.Blue, Colors.Orange };
            ObservableCollection<Color> recent = new ObservableCollection<Color>() { Colors.Purple, Colors.DodgerBlue, Colors.DeepSkyBlue };

            this.picker.RecentColorsItemsSource = recent;
            this.picker.StandardPaletteItemsSource = standardColors;
            this.picker.IsRecentColorsActive = true;

        }
    }
}
